Jump to content

View more

Image of the Day

The beast has a mighty searchlight of evil! #screenshotsaturday https://t.co/bzKepOojDL
IOTD | Top Screenshots

The latest, straight to your Inbox.

Subscribe to GameDev.net Direct to receive the latest updates and exclusive content.


Sign up now

Problem importing .so lib file into game

4: Adsense

Old topic!

Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.


  • You cannot reply to this topic
1 reply to this topic

#1 IceBreaker23   Members   

618
Like
0Likes
Like

Posted 01 January 2013 - 10:18 AM

Hey there!

Due to some missing opengl calls for vbos I want to use the opengl native wrapper from libgdx.
I have the wrapper class in my project folder and copied the libandroidgles20.so into libs/armeabi

The problem is that I get a UnsatisfiedLinkError at this line:
static {	System.loadLibrary("androidgl20");}
It seems that I need to specifiy that the lib should be built in the project...

Does anyone know how to do this?
Note: I do not have NDK installed, because I think I don´t need it for just using it...

Thanks in advance!

Edited by IceBreaker23, 01 January 2013 - 11:56 AM.


#2 IceBreaker23   Members   

618
Like
0Likes
Like

Posted 01 January 2013 - 04:24 PM

Ok solved it myself now.

The class defined in the native code (e.g. com.icebreaker.framework) needs to be the same as specified in the wrapper class.






Old topic!

Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.